RubyGems Navigation menu

openapi3_parser 0.8.2

A tool to parse and validate OpenAPI V3 files. Aims to provide complete compatibility with the OpenAPI specification and to provide a natural, idiomatic way to interact with a openapi.yaml file.

Versions:

  1. 0.8.2 - June 13, 2020 (42 KB)
  2. 0.8.1 - May 11, 2020 (41.5 KB)
  3. 0.8.0 - January 17, 2020 (41.5 KB)
  4. 0.7.0 - October 11, 2019 (40 KB)
  5. 0.6.1 - October 09, 2019 (39 KB)
Show all versions (13 total)

Runtime Dependencies (2):

  • commonmarker ~> 0.17
  • psych ~> 3.1
  • Development Dependencies (7):

  • bundler >= 0
  • byebug ~> 11.0
  • rake ~> 13.0
  • rspec ~> 3.9
  • rubocop ~> 0.79.0
  • simplecov ~> 0.17
  • webmock ~> 3.8
  • Owners:

    Pushed by:

    Authors:

    • Kevin Dew

    SHA 256 checksum:

    c253afce7240aeb814bff9874c2a9bceb799e5bc9d7b50a2d7bf8f1aaab421cf

    Total downloads 82,005

    For this version 8,109

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 2.4.0

    Links: